WordPress.org

Support

Support » Plugins and Hacks » [Plugin: Event Espresso Lite – Event Management and Registration System] Warnings on Install

[Plugin: Event Espresso Lite – Event Management and Registration System] Warnings on Install

  • Hi – I’m excited to use this plugin, however after activating, I get the following Warning messages on the Settings page:

    Warning: array_diff() [function.array-diff]: Argument #2 is not an array in /home/mysite/public_html/cms/wp-content/plugins/event-espresso-free/includes/functions/admin.php on line 1289
    
    Warning: Invalid argument supplied for foreach() in /home/mysite/public_html/cms/wp-content/plugins/event-espresso-free/includes/functions/admin.php on line 1290

    Is this normal? Suggestions?

    Thanks!
    Josh

    http://wordpress.org/extend/plugins/event-espresso-free/

Viewing 5 replies - 1 through 5 (of 5 total)
  • @synthcomp

    What version of WordPress/Event Espresso?

    Hi Chris – I’m using the latest version of both: WP 3.3 and the Event Espresso found on the WordPress site.

    Hmm…I’m not seeing that on my install. Do you have WP_DEBUG turned on, by chance? Or some other event-related plugin?

    Chris – that was it – I was testing out a number of plugs at once and once I deactivated them this one performed perfectly.

    Thanks!
    Josh

    No problem. There are a lot of event plugins that have functions or database tables that start with event_. We’ve been trying to replace those with espresso_ but there may be some legacy code in there that still conflicts with some other plugins. With so many plugins out there, it’s hard to account for all the possible variations. Glad you got it working. 🙂

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘[Plugin: Event Espresso Lite – Event Management and Registration System] Warnings on Install’ is closed to new replies.